Connector

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.microedition.io
Class Connector

    java.lang.Object
      javax.microedition.io.Connector

    public class Connector

extends Object

This class is a factory for creating new Connection objects.

The creation of Connections is performed dynamically by looking up a protocol implementation class whose name is formed from the protocol name of the requested connection. The parameter string that describes the target should conform to the URL format as described in RFC 2396. This takes the general form:

`{scheme}:[{target}][{params}]`

where `{scheme}` is the name of a protocol such as http.

The `{target}` is normally some kind of network address.

Any `{params}` are formed as a series of equates of the form ";x=y". Example: ";type=a".

An optional second parameter may be specified to the open function. This is a mode flag that indicates to the protocol handler the intentions of the calling code. The options here specify if the connection is going to be read (READ), written (WRITE), or both (READ_WRITE). The validity of these flag settings is protocol dependent. For instance, a connection for a printer would not allow read access, and would throw an IllegalArgumentException. If the mode parameter is not specified, READ_WRITE is used by default.

An optional third parameter is a boolean flag that indicates if the calling code can handle timeout exceptions. If this flag is set, the protocol implementation may throw an InterruptedIOException when it detects a timeout condition. This flag is only a hint to the protocol handler, and it does not guarantee that such exceptions will actually be thrown. If this parameter is not set, no timeout exceptions will be thrown.

Because connections are frequently opened just to gain access to a specific input or output stream, four convenience functions are provided for this purpose. See also: `DatagramConnection` for information relating to datagram addressing

Since:
  CLDC 1.0
Version:
  12/17/01 (CLDC 1.1)
Author:
  Nik Shaylor

Field Summary
`static int` | `READ` Access mode READ.
`static int` | `READ_WRITE` Access mode READ_WRITE.
`static int` | `WRITE` Access mode WRITE.

Method Summary
`static Connection` | `open(String name)` Create and open a Connection.
`static Connection` | `open(String name, int mode)` Create and open a Connection.
`static Connection` | `open(String name, int mode, boolean timeouts)` Create and open a Connection.
`static DataInputStream` | `openDataInputStream(String name)` Create and open a connection input stream.
`static DataOutputStream` | `openDataOutputStream(String name)` Create and open a connection output stream.
`static InputStream` | `openInputStream(String name)` Create and open a connection input stream.
`static OutputStream` | `openOutputStream(String name)` Create and open a connection output stream.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### READ

    public static final int READ

  Access mode READ.

  See Also:
    Constant Field Values

### WRITE

    public static final int WRITE

  Access mode WRITE.

  See Also:
    Constant Field Values

### READ_WRITE

    public static final int READ_WRITE

  Access mode READ_WRITE.

  See Also:
    Constant Field Values

Method Detail

### open

    public static Connection open(String name)
                           throws IOException

  Create and open a Connection. In case of `file` protocol, the file gets overwritten.

  Parameters:
    `name` - The URL for the connection.
  Returns:
    A new Connection object.
  Throws:
    `IllegalArgumentException` - If a parameter is invalid.
    `ConnectionNotFoundException` - If the target of the name cannot be found, or if the requested protocol type is not supported.
    `IOException` - If some other kind of I/O error occurs.
    `SecurityException` - May be thrown if access to the protocol handler is prohibited.

### open

    public static Connection open(String name,
                                  int mode)
                           throws IOException

  Create and open a Connection. In case of `file` protocol, the file gets overwritten for mode WRITE or READ_WRITE.

  Parameters:
    `name` - The URL for the connection.
    `mode` - The access mode.
  Returns:
    A new Connection object.
  Throws:
    `IllegalArgumentException` - If a parameter is invalid.
    `ConnectionNotFoundException` - If the target of the name cannot be found, or if the requested protocol type is not supported.
    `IOException` - If some other kind of I/O error occurs.
    `SecurityException` - May be thrown if access to the protocol handler is prohibited.

### open

    public static Connection open(String name,
                                  int mode,
                                  boolean timeouts)
                           throws IOException

  Create and open a Connection. In case of `file` protocol, the file gets overwritten for mode WRITE or READ_WRITE.

  Parameters:
    `name` - The URL for the connection
    `mode` - The access mode
    `timeouts` - A flag to indicate that the caller wants timeout exceptions
  Returns:
    A new Connection object
  Throws:
    `IllegalArgumentException` - If a parameter is invalid.
    `ConnectionNotFoundException` - If the target of the name cannot be found, or if the requested protocol type is not supported.
    `IOException` - If some other kind of I/O error occurs.
    `SecurityException` - May be thrown if access to the protocol handler is prohibited.

### openDataInputStream

    public static DataInputStream openDataInputStream(String name)
                                               throws IOException

  Create and open a connection input stream.

  Parameters:
    `name` - The URL for the connection. Some possible URL prefixes that can be used include: "comm:", "http:", "socket:", and "ssl:" when available by the implementation and following the respective connection specification.
  Returns:
    A DataInputStream.
  Throws:
    `IllegalArgumentException` - If a parameter is invalid.
    `ConnectionNotFoundException` - If the target of the name cannot be found, or if the requested protocol type is not supported.
    `IOException` - If some other kind of I/O error occurs.
    `SecurityException` - May be thrown if access to the protocol handler is prohibited.

### openDataOutputStream

    public static DataOutputStream openDataOutputStream(String name)
                                                 throws IOException

  Create and open a connection output stream.

  Parameters:
    `name` - The URL for the connection. Some possible URL prefixes that can be used include: "comm:", "http:", "socket:", and "ssl:" when available by the implementation and following the respective connection specification.
  Returns:
    A DataOutputStream.
  Throws:
    `IllegalArgumentException` - If a parameter is invalid.
    `ConnectionNotFoundException` - If the target of the name cannot be found, or if the requested protocol type is not supported.
    `IOException` - If some other kind of I/O error occurs.
    `SecurityException` - May be thrown if access to the protocol handler is prohibited.

### openInputStream

    public static InputStream openInputStream(String name)
                                       throws IOException

  Create and open a connection input stream.

  Parameters:
    `name` - The URL for the connection. Some possible URL prefixes that can be used include: "comm:", "http:", "socket:", and "ssl:" when available by the implementation and following the respective connection specification.
  Returns:
    An InputStream.
  Throws:
    `IllegalArgumentException` - If a parameter is invalid.
    `ConnectionNotFoundException` - If the target of the name cannot be found, or if the requested protocol type is not supported.
    `IOException` - If some other kind of I/O error occurs.
    `SecurityException` - May be thrown if access to the protocol handler is prohibited.

### openOutputStream

    public static OutputStream openOutputStream(String name)
                                         throws IOException

  Create and open a connection output stream. In case of `file` protocol, the file gets overwritten.

  Parameters:
    `name` - The URL for the connection. Some possible URL prefixes that can be used include: "comm:", "http:", "socket:", and "ssl:" when available by the implementation and following the respective connection specification.
  Returns:
    An OutputStream.
  Throws:
    `IllegalArgumentException` - If a parameter is invalid.
    `ConnectionNotFoundException` - If the target of the name cannot be found, or if the requested protocol type is not supported.
    `IOException` - If some other kind of I/O error occurs.
    `SecurityException` - May be thrown if access to the protocol handler is prohibited.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD